## screengrab 2.5.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.1.0 FATAL_ERROR)
# CMP0000: Call the cmake_minimum_required() command at the beginning of the top-level
# CMakeLists.txt file even before calling the project() command.
# The cmake_minimum_required(VERSION) command implicitly invokes the cmake_policy(VERSION)
# command to specify that the current project code is written for the given range of CMake
# versions.
project(screengrab)

include(GNUInstallDirs)
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${CMAKE_CURRENT_SOURCE_DIR}/cmake")

# options
option(SG_DBUS_NOTIFY "Enable D-Bus notifications" ON)
option(SG_EXT_EDIT "Enable ability to edit screenshots in external editor" ON)
option(UPDATE_TRANSLATIONS "Update source translation translations/*.ts files" OFF)

# Minimum Versions
set(KF5_MINIMUM_VERSION "5.36.0")
set(QT_MINIMUM_VERSION "5.15.0")
set(QTXDG_MINIMUM_VERSION "3.10.0")

find_package(Qt5LinguistTools  ${QT_MINIMUM_VERSION} REQUIRED)
find_package(Qt5Network ${QT_MINIMUM_VERSION} REQUIRED)
find_package(Qt5Widgets ${QT_MINIMUM_VERSION} REQUIRED)
find_package(Qt5X11Extras ${QT_MINIMUM_VERSION} REQUIRED)
find_package(KF5WindowSystem ${KF5_MINIMUM_VERSION} REQUIRED)

# right now we declare it as required
find_package(X11 REQUIRED)
set(HAVE_X11 1)

find_package(
    XCB REQUIRED MODULE COMPONENTS
        XCB
        SHAPE
        XFIXES
)

find_package(
    X11_XCB REQUIRED MODULE
)

set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTOUIC ON)
set(CMAKE_INCLUDE_CURRENT_DIR ON)

set(SCREENGRAB_VERSION "2.5.0")

if (DEV_VERSION)
    set(VERSION "${SCREENGRAB_VERSION}-dev (${DEV_VERSION})")
else()
    set(VERSION ${SCREENGRAB_VERSION})
endif()

add_definitions(
    -DVERSION="${VERSION}"
    -DQT_NO_FOREACH
)

if(NOT CMAKE_BUILD_TYPE)
    set(CMAKE_BUILD_TYPE Release)
endif()

message(STATUS "Build type: " ${CMAKE_BUILD_TYPE})
message(STATUS "Install prefix: " ${CMAKE_INSTALL_PREFIX})

set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wnon-virtual-dtor -Woverloaded-virtual -Wall -Wextra")

# Although the names, LXQtTranslateTs and LXQtTranslateDesktop, they don't
#   bring any dependency on lxqt.
include(LXQtTranslateTs)
include(LXQtTranslateDesktop)
include(Qt5TranslationLoader)

if(SG_EXT_EDIT)
    add_definitions( -DSG_EXT_EDIT="1")
    find_package(Qt5Xdg ${QTXDG_MINIMUM_VERSION} REQUIRED)
endif()

if(SG_DBUS_NOTIFY)
    find_package(Qt5DBus ${QT_MINIMUM_VERSION} REQUIRED)
    add_definitions( -DSG_DBUS_NOTIFY="1")
endif()

message(STATUS "Editing screenshots in external editor support: " ${SG_EXT_EDIT})
message(STATUS "Enable D-Bus notifications: " ${SG_DBUS_NOTIFY})
message(STATUS "Use system Qxt Library: " ${SG_USE_SYSTEM_QXT})
message(STATUS "Update source translation translations/*.ts files: " ${UPDATE_TRANSLATIONS})

# docs
# CMAKE_INSTALL_FULL_DOCDIR = CMAKE_INSTALL_PREFIX/CMAKE_INSTALL_DATADIR/doc/PROJECT_NAME
message(STATUS "Documentation directory: " ${CMAKE_INSTALL_FULL_DOCDIR})
add_definitions(-DSG_DOCDIR="${CMAKE_INSTALL_FULL_DOCDIR}")

# app icon path
add_definitions(-DSG_ICONPATH="${CMAKE_INSTALL_PREFIX}/${CMAKE_INSTALL_DATADIR}/icons/hicolor/scalable/apps/screengrab.svg")

include_directories("${CMAKE_CURRENT_SOURCE_DIR}/src")
add_subdirectory("${CMAKE_CURRENT_SOURCE_DIR}/src/common/qkeysequencewidget")
include_directories("${CMAKE_CURRENT_SOURCE_DIR}/src/common/qkeysequencewidget/src")

if (SG_EXT_EDIT)
    include_directories("${CMAKE_CURRENT_SOURCE_DIR}/src/modules/extedit")
    add_subdirectory("${CMAKE_CURRENT_SOURCE_DIR}/src/modules/extedit")
endif()

set(SCREENGRAB_SRC
    src/core/main.cpp
    src/core/singleapp.cpp
    src/core/core.cpp
    src/core/config.cpp
    src/core/regionselect.cpp
    src/core/shortcutmanager.cpp
    src/core/modulemanager.cpp
    src/core/ui/configwidget.cpp
    src/core/ui/about.cpp
    src/core/ui/mainwindow.cpp
)

if(SG_DBUS_NOTIFY)
    set(SCREENGRAB_SRC ${SCREENGRAB_SRC} src/core/dbusnotifier.cpp)
endif()

if(X11_FOUND)
    set(SCREENGRAB_SRC ${SCREENGRAB_SRC} src/core/x11utils.cpp)
endif()

set(SCREENGRAB_HDR
    src/core/singleapp.h
)

set(SCREENGRAB_UI
    src/core/ui/configwidget.ui
    src/core/ui/aboutwidget.ui
    src/core/ui/mainwindow.ui
)

# Qt resource file
set(SCREENGRAB_QRC screengrab.qrc)
qt5_add_resources(QRC_SOURCES ${SCREENGRAB_QRC})

message(STATUS "Generating localize ...")

set(SCREENGRAB_CONFIG_FILES
    screengrab.conf
)

set(SCREENGRAB_DESKTOP_FILES_IN
    screengrab.desktop.in
)

lxqt_translate_ts(SCREENGRAB_QMS
    USE_QT5 TRUE
    UPDATE_TRANSLATIONS ${UPDATE_TRANSLATIONS}
    SOURCES
        ${SCREENGRAB_SRC}
        ${SCREENGRAB_UI}
    INSTALL_DIR "${CMAKE_INSTALL_DATADIR}/${PROJECT_NAME}/translations"
)

lxqt_translate_desktop(SCREENGRAB_DESKTOP_FILES
    SOURCES ${SCREENGRAB_DESKTOP_FILES_IN}
    USE_YAML
)

qt5_translation_loader(SCREENGRAB_QM_LOADER
    "${CMAKE_INSTALL_FULL_DATADIR}/${PROJECT_NAME}/translations"
    ${PROJECT_NAME}
)

# generating executable
add_executable(screengrab
    ${SCREENGRAB_SRC}
    ${SCREENGRAB_UI_H}
    ${QRC_SOURCES}
    ${SCREENGRAB_QMS}
    ${SCREENGRAB_DESKTOP_FILES}
    ${SCREENGRAB_QM_LOADER}
)

if(SG_EXT_EDIT)
    target_link_libraries(screengrab extedit)
endif()

if(SG_DBUS_NOTIFY)
    target_link_libraries(screengrab Qt5::DBus)
endif()

if (X11_XCB_FOUND)
    add_definitions( -DX11_XCB_FOUND="1")
    target_link_libraries(screengrab ${X11_XCB_LIBRARIES})
endif()

if (XCB_XCB_FOUND)
    add_definitions( -DXCB_XCB_FOUND="1")
    target_link_libraries(screengrab ${XCB_XCB_LIBRARY})
endif()

if (XCB_SHAPE_FOUND)
    add_definitions( -DXCB_SHAPE_FOUND="1")
    target_link_libraries(screengrab ${XCB_SHAPE_LIBRARY})
endif()

if (XCB_XFIXES_FOUND)
    add_definitions( -DXCB_XFOXES_FOUND="1")
    target_link_libraries(screengrab ${XCB_XFIXES_LIBRARY})
endif()

# Link with Network and X11Extras. See pull#86. TODO: Should be optional when upload module is needed.
target_link_libraries(screengrab qkeysequencewidget Qt5::Widgets KF5::WindowSystem Qt5::X11Extras Qt5::Network ${X11_LIBRARIES})

# installing
install(TARGETS screengrab RUNTIME DESTINATION bin)
# install html docs
install(DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}/docs/html" DESTINATION "${CMAKE_INSTALL_FULL_DOCDIR}")
# install config files
install(FILES ${SCREENGRAB_CONFIG_FILES} DESTINATION ${CMAKE_INSTALL_DATADIR}/${PROJECT_NAME})
# install desktop files
install(FILES ${SCREENGRAB_DESKTOP_FILES} DESTINATION ${CMAKE_INSTALL_DATADIR}/applications)
# install pixmap
install(FILES "${CMAKE_CURRENT_SOURCE_DIR}/img/screengrab.svg" DESTINATION "${CMAKE_INSTALL_DATADIR}/icons/hicolor/scalable/apps")
install(FILES screengrab.metainfo.xml
    DESTINATION ${CMAKE_INSTALL_DATADIR}/metainfo
)

=== debian/changelog ===
screengrab (2.5.0-1) unstable; urgency=medium

  * New upstream release.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Thu, 05 Jan 2023 12:15:05 +0800

screengrab (2.4.0-3) unstable; urgency=medium

  * Update d/watch for GitHub.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Thu, 05 Jan 2023 00:21:40 +0800

screengrab (2.4.0-2) unstable; urgency=medium

  * Merge to unstable.
  * Bump Standards-Version to 4.6.2:
    * Add Rules-Requires-Root: no in d/control.
  * Bump compat to 13:
    * Remove unnecessary -Wl,--as-needed in d/rules.
  * Add d/upstream/metadata.
  * Update d/copyright.
  * Fix d/lintian-overrides.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Thu, 05 Jan 2023 00:08:37 +0800

screengrab (2.4.0-1) experimental; urgency=medium

  * Team Upload

  [ Andrew Lee (李健秋) ]
  * Add debian/salsa-ci.yml file.
  * Update debian/upstream/signing-key.asc.
  * New upstream version 2.3.0

  [ suman rajan ]
  * New upstream version 2.4.0
  * debian/copyright: Added cc-by-4.0 license
  * debian/control: bumped depends version for libqt5xdg-dev
  * salsa-ci.yml: Added release experimental

 -- suman rajan <suman@protonmail.com>  Thu, 14 Jul 2022 00:21:31 +0530

=== debian/control ===
Source: screengrab
Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
Uploaders: Alf Gaida <agaida@siduction.org>,
           ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
           Andrew Lee (李健秋) <ajqlee@debian.org>
Section: graphics
Priority: optional
Build-Depends: debhelper-compat (= 13),
               libkf5windowsystem-dev,
               libqt5svg5-dev,
               libqt5x11extras5-dev,
               libqt5xdg-dev (>= 3.10.0~),
               libqt5xdgiconloader-dev (>= 3.10.0~) ,
               libx11-dev,
               libx11-xcb-dev,
               libxcb1-dev,
               libxcb-xfixes0-dev [!kfreebsd-any],
               lxqt-build-tools
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/lxqt-team/screengrab
Vcs-Git: https://salsa.debian.org/lxqt-team/screengrab.git
Homepage: https://github.com/lxqt/screengrab
Rules-Requires-Root: no

Package: screengrab
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: Crossplatform tool for getting screenshots
 Screengrab working in Linux and Windows. The program uses Qt and is
 independent of any desktop environment.
 Main features:
  * Get desktop screenshots
  * Get active window screenshots
  * Get secreenshots of desktop selection area
  * Copy screenshot to clipboard
  * Saving your image files in formats PNG or JPEG or BMP
  * Ability to set delay in getting screenshots (from 1 to 90 seconds)

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export LC_ALL=C.UTF-8

%:
	dh ${@} --buildsystem=cmake

override_dh_install:
	rm -f $(currdir)/debian/screengrab/usr/share/doc/screengrab/LICENSE.txt
	dh_install

override_dh_makeshlibs:
	# do nothing

override_dh_auto_configure:
	dh_auto_configure -- \
	    -DSG_DBUS_NOTIFY=ON \
	    -DSG_EXT_EDIT=ON \
	    -DSG_GLOBALSHORTCUTS=OFF \
	    -DUPDATE_TRANSLATIONS=OFF \
	    -DCMAKE_BUILD_TYPE=RelWithDebInfo

## screengrab 2.6.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -17,7 +17,7 @@
 # Minimum Versions
 set(KF5_MINIMUM_VERSION "5.36.0")
 set(QT_MINIMUM_VERSION "5.15.0")
-set(QTXDG_MINIMUM_VERSION "3.10.0")
+set(QTXDG_MINIMUM_VERSION "3.11.0")
 
 find_package(Qt5LinguistTools  ${QT_MINIMUM_VERSION} REQUIRED)
 find_package(Qt5Network ${QT_MINIMUM_VERSION} REQUIRED)
@@ -44,7 +44,7 @@
 set(CMAKE_AUTOUIC ON)
 set(CMAKE_INCLUDE_CURRENT_DIR ON)
 
-set(SCREENGRAB_VERSION "2.5.0")
+set(SCREENGRAB_VERSION "2.6.0")
 
 if (DEV_VERSION)
     set(VERSION "${SCREENGRAB_VERSION}-dev (${DEV_VERSION})")

=== debian/changelog ===
screengrab (2.6.0-0.1~mx21+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 11 Jul 2023 14:12:03 -0700

screengrab (2.6.0-0.1~S7) unstable; urgency=medium

  * New upstream release.

 -- S.7 <severusseptimius7@gmail.com>  Sat, 20 May 2023 16:08:10 +0300

=== debian/control ===
Source: screengrab
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
Uploaders: Alf Gaida <agaida@siduction.org>,
           ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
           Andrew Lee (李健秋) <ajqlee@debian.org>
Section: graphics
Priority: optional
Build-Depends: debhelper-compat (= 13),
               libkf5windowsystem-dev,
               libqt5svg5-dev,
               libqt5x11extras5-dev,
               libqt5xdg-dev (>= 3.11.0~),
               libqt5xdgiconloader-dev (>= 3.11.0~),
               libx11-dev,
               libx11-xcb-dev,
               libxcb-xfixes0-dev [!kfreebsd-any],
               libxcb1-dev,
               lxqt-build-tools
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/lxqt-team/screengrab
Vcs-Git: https://salsa.debian.org/lxqt-team/screengrab.git
Homepage: https://github.com/lxqt/screengrab
Rules-Requires-Root: no

Package: screengrab
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Crossplatform tool for getting screenshots
 Screengrab working in Linux and Windows. The program uses Qt and is
 independent of any desktop environment.
 Main features:
  * Get desktop screenshots
  * Get active window screenshots
  * Get screenshots of desktop selection area
  * Copy screenshot to clipboard
  * Saving your image files in formats PNG or JPEG or BMP
  * Ability to set delay in getting screenshots (from 1 to 90 seconds)

=== debian/rules ===
--- 
+++ 
@@ -21,3 +21,7 @@
 	    -DSG_GLOBALSHORTCUTS=OFF \
 	    -DUPDATE_TRANSLATIONS=OFF \
 	    -DCMAKE_BUILD_TYPE=RelWithDebInfo
+
+# No dbgsym packages:
+override_dh_strip:
+	dh_strip --no-automatic-dbgsym

## screengrab 2.7.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -15,9 +15,9 @@
 option(UPDATE_TRANSLATIONS "Update source translation translations/*.ts files" OFF)
 
 # Minimum Versions
-set(KF5_MINIMUM_VERSION "5.36.0")
+set(KF5_MINIMUM_VERSION "5.101.0")
 set(QT_MINIMUM_VERSION "5.15.0")
-set(QTXDG_MINIMUM_VERSION "3.11.0")
+set(QTXDG_MINIMUM_VERSION "3.12.0")
 
 find_package(Qt5LinguistTools  ${QT_MINIMUM_VERSION} REQUIRED)
 find_package(Qt5Network ${QT_MINIMUM_VERSION} REQUIRED)
@@ -44,7 +44,7 @@
 set(CMAKE_AUTOUIC ON)
 set(CMAKE_INCLUDE_CURRENT_DIR ON)
 
-set(SCREENGRAB_VERSION "2.6.0")
+set(SCREENGRAB_VERSION "2.7.0")
 
 if (DEV_VERSION)
     set(VERSION "${SCREENGRAB_VERSION}-dev (${DEV_VERSION})")

=== src/common/qkeysequencewidget/CMakeLists.txt ===
include_directories(${CMAKE_CURRENT_SOURCE_DIR}/src)
include_directories(${Qt5Widgets_INCLUDE_DIRS})

add_definitions(${Qt5Widgets_DEFINITIONS})

set (QKSW_SRC
  src/qkeysequencewidget.cpp)

set (QKSW_HDR
  src/qkeysequencewidget.h
  src/qkeysequencewidget_p.h)

set (QKSW_QRC
  qkeysequencewidget.qrc)

qt5_add_resources(QKSW_QRC ${QKSW_QRC})

add_library(qkeysequencewidget STATIC ${QKSW_SRC} ${QKSW_QRC})

target_link_libraries(qkeysequencewidget Qt5::Widgets)

=== src/modules/extedit/CMakeLists.txt ===
set (extedit_SRC
    moduleextedit.cpp
    extedit.cpp
)

set (extedit_HDR
    extedit.h
)

lxqt_translate_ts(extedit_QMS
    USE_QT5 TRUE
    UPDATE_TRANSLATIONS ${UPDATE_TRANSLATIONS}
    TEMPLATE "extedit"
    TRANSLATION_DIR "${CMAKE_SOURCE_DIR}/translations"
    SOURCES
        ${extedit_SRC}
        ${extedit_HDR}
    INSTALL_DIR "${CMAKE_INSTALL_DATADIR}/${PROJECT_NAME}/translations"
)

qt5_translation_loader(extedit_QM_LOADER
    "${CMAKE_INSTALL_FULL_DATADIR}/${PROJECT_NAME}/translations"
    "extedit"
)

add_library(extedit
    STATIC
        ${extedit_SRC}
        ${extedit_QMS}
        ${extedit_QM_LOADER}
)

target_link_libraries(extedit Qt5::Widgets Qt5::X11Extras Qt5Xdg)

=== debian/changelog ===
screengrab (2.7.0-2) unstable; urgency=medium

  * debian/control: build-deps on qttools5-dev. (Closes:#1078319)
  * debian/copyright: added myself.
  * debian/control: bump to Standards-version to 4.7.0, no changes needed.

 -- Macy Lin <macy@debconf.org>  Sat, 07 Sep 2024 19:55:31 +0800

screengrab (2.7.0-1) unstable; urgency=medium

  * New upstream version 2.7.0
  * debian/control: build-deps on libkf5windowsystem-dev (>=5.101.0~).
  * debian/control: build-deps on libqt5xdg-dev (>= 3.12.0~).

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Sun, 10 Dec 2023 17:44:52 +0100

screengrab (2.6.0-1) unstable; urgency=medium

  * New upstream version 2.6.0
  * debian/control: Update team email to <team+lxqt@tracker.debian.org>.
  * debian/control: cleanup build-deps.
  * debian/control: build-deps on libqt5xdg-dev (>= 3.11.0~).
  * debian/control: build-deps on libkf5windowsystem-dev (>=5.36.0~).
  * debian/control: build-deps on libqt5x11extras5-dev (>=5.15.0~).
  * debian/copyright: update.
  * debian/rules: cleanup.
  * debian/upstream/metadata: drop obsolete field Name.
  * debian/upstream/metadata: update url for git repo.
  * debian/salsa-ci.yml: drop build against to experimental.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Sun, 30 Jul 2023 22:14:08 +0200

=== debian/control ===
Source: screengrab
Maintainer: LXQt Packaging Team <team+lxqt@tracker.debian.org>
Uploaders: Alf Gaida <agaida@siduction.org>,
           ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
           Andrew Lee (李健秋) <ajqlee@debian.org>
Section: graphics
Priority: optional
Build-Depends: debhelper-compat (= 13),
               libkf5windowsystem-dev (>=5.101.0~),
               libqt5x11extras5-dev (>=5.15.0~),
               libqt5xdg-dev (>= 3.12.0~),
               libx11-xcb-dev,
               libxcb-xfixes0-dev [!kfreebsd-any],
               lxqt-build-tools,
               qttools5-dev
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/lxqt-team/screengrab
Vcs-Git: https://salsa.debian.org/lxqt-team/screengrab.git
Homepage: https://github.com/lxqt/screengrab
Rules-Requires-Root: no

Package: screengrab
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: Crossplatform tool for getting screenshots
 Screengrab working in Linux and Windows. The program uses Qt and is
 independent of any desktop environment.
 Main features:
  * Get desktop screenshots
  * Get active window screenshots
  * Get secreenshots of desktop selection area
  * Copy screenshot to clipboard
  * Saving your image files in formats PNG or JPEG or BMP
  * Ability to set delay in getting screenshots (from 1 to 90 seconds)

## screengrab 2.8.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-cmake_minimum_required(VERSION 3.1.0 FATAL_ERROR)
+cmake_minimum_required(VERSION 3.18.0 FATAL_ERROR)
 # CMP0000: Call the cmake_minimum_required() command at the beginning of the top-level
 # CMakeLists.txt file even before calling the project() command.
 # The cmake_minimum_required(VERSION) command implicitly invokes the cmake_policy(VERSION)
@@ -15,15 +15,14 @@
 option(UPDATE_TRANSLATIONS "Update source translation translations/*.ts files" OFF)
 
 # Minimum Versions
-set(KF5_MINIMUM_VERSION "5.101.0")
-set(QT_MINIMUM_VERSION "5.15.0")
-set(QTXDG_MINIMUM_VERSION "3.12.0")
-
-find_package(Qt5LinguistTools  ${QT_MINIMUM_VERSION} REQUIRED)
-find_package(Qt5Network ${QT_MINIMUM_VERSION} REQUIRED)
-find_package(Qt5Widgets ${QT_MINIMUM_VERSION} REQUIRED)
-find_package(Qt5X11Extras ${QT_MINIMUM_VERSION} REQUIRED)
-find_package(KF5WindowSystem ${KF5_MINIMUM_VERSION} REQUIRED)
+set(KF6_MINIMUM_VERSION "6.0.0")
+set(QT_MINIMUM_VERSION "6.6.0")
+set(QTXDG_MINIMUM_VERSION "4.0.0")
+
+find_package(Qt6Network ${QT_MINIMUM_VERSION} REQUIRED)
+find_package(Qt6Widgets ${QT_MINIMUM_VERSION} REQUIRED)
+find_package(Qt6LinguistTools  ${QT_MINIMUM_VERSION} REQUIRED)
+find_package(KF6WindowSystem ${KF6_MINIMUM_VERSION} REQUIRED)
 
 # right now we declare it as required
 find_package(X11 REQUIRED)
@@ -44,7 +43,7 @@
 set(CMAKE_AUTOUIC ON)
 set(CMAKE_INCLUDE_CURRENT_DIR ON)
 
-set(SCREENGRAB_VERSION "2.7.0")
+set(SCREENGRAB_VERSION "2.8.0")
 
 if (DEV_VERSION)
     set(VERSION "${SCREENGRAB_VERSION}-dev (${DEV_VERSION})")
@@ -70,15 +69,15 @@
 #   bring any dependency on lxqt.
 include(LXQtTranslateTs)
 include(LXQtTranslateDesktop)
-include(Qt5TranslationLoader)
+include(Qt6TranslationLoader)
 
 if(SG_EXT_EDIT)
     add_definitions( -DSG_EXT_EDIT="1")
-    find_package(Qt5Xdg ${QTXDG_MINIMUM_VERSION} REQUIRED)
+    find_package(Qt6Xdg ${QTXDG_MINIMUM_VERSION} REQUIRED)
 endif()
 
 if(SG_DBUS_NOTIFY)
-    find_package(Qt5DBus ${QT_MINIMUM_VERSION} REQUIRED)
+    find_package(Qt6DBus ${QT_MINIMUM_VERSION} REQUIRED)
     add_definitions( -DSG_DBUS_NOTIFY="1")
 endif()
 
@@ -137,7 +136,7 @@
 
 # Qt resource file
 set(SCREENGRAB_QRC screengrab.qrc)
-qt5_add_resources(QRC_SOURCES ${SCREENGRAB_QRC})
+qt6_add_resources(QRC_SOURCES ${SCREENGRAB_QRC})
 
 message(STATUS "Generating localize ...")
 
@@ -150,7 +149,6 @@
 )
 
 lxqt_translate_ts(SCREENGRAB_QMS
-    USE_QT5 TRUE
     UPDATE_TRANSLATIONS ${UPDATE_TRANSLATIONS}
     SOURCES
         ${SCREENGRAB_SRC}
@@ -163,7 +161,7 @@
     USE_YAML
 )
 
-qt5_translation_loader(SCREENGRAB_QM_LOADER
+qt6_translation_loader(SCREENGRAB_QM_LOADER
     "${CMAKE_INSTALL_FULL_DATADIR}/${PROJECT_NAME}/translations"
     ${PROJECT_NAME}
 )
@@ -183,7 +181,7 @@
 endif()
 
 if(SG_DBUS_NOTIFY)
-    target_link_libraries(screengrab Qt5::DBus)
+    target_link_libraries(screengrab Qt6::DBus)
 endif()
 
 if (X11_XCB_FOUND)
@@ -206,8 +204,8 @@
     target_link_libraries(screengrab ${XCB_XFIXES_LIBRARY})
 endif()
 
-# Link with Network and X11Extras. See pull#86. TODO: Should be optional when upload module is needed.
-target_link_libraries(screengrab qkeysequencewidget Qt5::Widgets KF5::WindowSystem Qt5::X11Extras Qt5::Network ${X11_LIBRARIES})
+# Link with Network. See pull#86. TODO: Should be optional when upload module is needed.
+target_link_libraries(screengrab qkeysequencewidget Qt6::Widgets KF6::WindowSystem Qt6::Network ${X11_LIBRARIES})
 
 # installing
 install(TARGETS screengrab RUNTIME DESTINATION bin)

=== debian/changelog ===
screengrab (2.8.0-1~exp1) experimental; urgency=medium

  [ Severus Septimius ]
  * New upstream release 2.8.0
  * debian/control: bump dep on libkf5windowsystem-dev ->
    libkf6windowsystem-dev
  * debian/control: remove dep on libqt5x11extras5-dev
  * debian/control: bump dep on libqt5xdg-dev -> libqt6xdg-dev
  * debian/control: bump dep on qttools5-dev -> qt6-tools-dev

  [ Andrew Lee (李健秋) ]
  * Clean up of group membership after 2nd calls.
  * debian/salsa-ci.yml: build against to experimental.
  * debian/copyright: update.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Sun, 22 Sep 2024 13:52:16 +0200

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,16 @@
 Source: screengrab
 Maintainer: LXQt Packaging Team <team+lxqt@tracker.debian.org>
-Uploaders: Alf Gaida <agaida@siduction.org>,
-           ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
+Uploaders: ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
            Andrew Lee (李健秋) <ajqlee@debian.org>
 Section: graphics
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
-               libkf5windowsystem-dev (>=5.101.0~),
-               libqt5x11extras5-dev (>=5.15.0~),
-               libqt5xdg-dev (>= 3.12.0~),
+               libkf6windowsystem-dev,
+               libqt6xdg-dev (>= 4.0.0~),
                libx11-xcb-dev,
                libxcb-xfixes0-dev [!kfreebsd-any],
                lxqt-build-tools,
-               qttools5-dev
+               qt6-tools-dev
 Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/lxqt-team/screengrab
 Vcs-Git: https://salsa.debian.org/lxqt-team/screengrab.git

## screengrab 2.9.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -17,7 +17,7 @@
 # Minimum Versions
 set(KF6_MINIMUM_VERSION "6.0.0")
 set(QT_MINIMUM_VERSION "6.6.0")
-set(QTXDG_MINIMUM_VERSION "4.0.0")
+set(QTXDG_MINIMUM_VERSION "4.1.0")
 
 find_package(Qt6Network ${QT_MINIMUM_VERSION} REQUIRED)
 find_package(Qt6Widgets ${QT_MINIMUM_VERSION} REQUIRED)
@@ -43,7 +43,7 @@
 set(CMAKE_AUTOUIC ON)
 set(CMAKE_INCLUDE_CURRENT_DIR ON)
 
-set(SCREENGRAB_VERSION "2.8.0")
+set(SCREENGRAB_VERSION "2.9.0")
 
 if (DEV_VERSION)
     set(VERSION "${SCREENGRAB_VERSION}-dev (${DEV_VERSION})")

=== debian/changelog ===
screengrab (2.9.0-1) unstable; urgency=medium

  * New upstream version 2.9.0.
  * build-deps on libqt6xdg-dev (>= 4.1.0~).

 -- Macy Lin <macy@debconf.org>  Wed, 04 Dec 2024 22:33:02 +0100

screengrab (2.8.0-1) unstable; urgency=medium

  * debian/control: build-deps on libglib2.0-dev.
  * Upload to unstable.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Thu, 28 Nov 2024 20:39:43 +0100

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,14 @@
 Source: screengrab
 Maintainer: LXQt Packaging Team <team+lxqt@tracker.debian.org>
 Uploaders: ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
-           Andrew Lee (李健秋) <ajqlee@debian.org>
+           Andrew Lee (李健秋) <ajqlee@debian.org>,
+           Macy Lin <macy@debconf.org>
 Section: graphics
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
+               libglib2.0-dev,
                libkf6windowsystem-dev,
-               libqt6xdg-dev (>= 4.0.0~),
+               libqt6xdg-dev (>= 4.1.0~),
                libx11-xcb-dev,
                libxcb-xfixes0-dev [!kfreebsd-any],
                lxqt-build-tools,

## screengrab 3.0.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,7 +7,6 @@
 project(screengrab)
 
 include(GNUInstallDirs)
-set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${CMAKE_CURRENT_SOURCE_DIR}/cmake")
 
 # options
 option(SG_DBUS_NOTIFY "Enable D-Bus notifications" ON)
@@ -17,12 +16,17 @@
 # Minimum Versions
 set(KF6_MINIMUM_VERSION "6.0.0")
 set(QT_MINIMUM_VERSION "6.6.0")
-set(QTXDG_MINIMUM_VERSION "4.1.0")
+set(SHELLQT_MINIMUM_VERSION "6.0.0")
+set(QTXDG_MINIMUM_VERSION "4.2.0")
+set(LXQTBT_MINIMUM_VERSION "2.2.0")
 
 find_package(Qt6Network ${QT_MINIMUM_VERSION} REQUIRED)
 find_package(Qt6Widgets ${QT_MINIMUM_VERSION} REQUIRED)
+find_package(Qt6WaylandClient ${QT_MINIMUM_VERSION} REQUIRED)
 find_package(Qt6LinguistTools  ${QT_MINIMUM_VERSION} REQUIRED)
+find_package(LayerShellQt ${SHELLQT_MINIMUM_VERSION} REQUIRED)
 find_package(KF6WindowSystem ${KF6_MINIMUM_VERSION} REQUIRED)
+find_package(lxqt2-build-tools ${LXQTBT_MINIMUM_VERSION} REQUIRED)
 
 # right now we declare it as required
 find_package(X11 REQUIRED)
@@ -43,7 +47,7 @@
 set(CMAKE_AUTOUIC ON)
 set(CMAKE_INCLUDE_CURRENT_DIR ON)
 
-set(SCREENGRAB_VERSION "2.9.0")
+set(SCREENGRAB_VERSION "3.0.0")
 
 if (DEV_VERSION)
     set(VERSION "${SCREENGRAB_VERSION}-dev (${DEV_VERSION})")
@@ -63,10 +67,8 @@
 message(STATUS "Build type: " ${CMAKE_BUILD_TYPE})
 message(STATUS "Install prefix: " ${CMAKE_INSTALL_PREFIX})
 
-set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wnon-virtual-dtor -Woverloaded-virtual -Wall -Wextra")
-
-# Although the names, LXQtTranslateTs and LXQtTranslateDesktop, they don't
-#   bring any dependency on lxqt.
+include(LXQtPreventInSourceBuilds)
+include(LXQtCompilerSettings NO_POLICY_SCOPE)
 include(LXQtTranslateTs)
 include(LXQtTranslateDesktop)
 include(Qt6TranslationLoader)
@@ -83,7 +85,6 @@
 
 message(STATUS "Editing screenshots in external editor support: " ${SG_EXT_EDIT})
 message(STATUS "Enable D-Bus notifications: " ${SG_DBUS_NOTIFY})
-message(STATUS "Use system Qxt Library: " ${SG_USE_SYSTEM_QXT})
 message(STATUS "Update source translation translations/*.ts files: " ${UPDATE_TRANSLATIONS})
 
 # docs
@@ -114,6 +115,8 @@
     src/core/ui/configwidget.cpp
     src/core/ui/about.cpp
     src/core/ui/mainwindow.cpp
+    src/core/wayland/ScreenCopy.cpp
+    src/core/wayland/ScreenShot.cpp
 )
 
 if(SG_DBUS_NOTIFY)
@@ -205,7 +208,12 @@
 endif()
 
 # Link with Network. See pull#86. TODO: Should be optional when upload module is needed.
-target_link_libraries(screengrab qkeysequencewidget Qt6::Widgets KF6::WindowSystem Qt6::Network ${X11_LIBRARIES})
+target_link_libraries(screengrab qkeysequencewidget Qt6::Widgets KF6::WindowSystem Qt6::Network ${X11_LIBRARIES}
+LayerShellQtInterface Qt6::GuiPrivate Qt6::WaylandClient Qt6::WaylandClientPrivate Qt6::WaylandGlobalPrivate)
+
+qt6_generate_wayland_protocol_client_sources(screengrab FILES
+    ${CMAKE_CURRENT_SOURCE_DIR}/src/core/wayland/wlr-screencopy-unstable-v1.xml
+)
 
 # installing
 install(TARGETS screengrab RUNTIME DESTINATION bin)

=== src/modules/extedit/CMakeLists.txt ===
--- 
+++ 
@@ -8,7 +8,6 @@
 )
 
 lxqt_translate_ts(extedit_QMS
-    USE_QT5 TRUE
     UPDATE_TRANSLATIONS ${UPDATE_TRANSLATIONS}
     TEMPLATE "extedit"
     TRANSLATION_DIR "${CMAKE_SOURCE_DIR}/translations"
@@ -18,7 +17,7 @@
     INSTALL_DIR "${CMAKE_INSTALL_DATADIR}/${PROJECT_NAME}/translations"
 )
 
-qt5_translation_loader(extedit_QM_LOADER
+qt6_translation_loader(extedit_QM_LOADER
     "${CMAKE_INSTALL_FULL_DATADIR}/${PROJECT_NAME}/translations"
     "extedit"
 )
@@ -30,4 +29,4 @@
         ${extedit_QM_LOADER}
 )
 
-target_link_libraries(extedit Qt5::Widgets Qt5::X11Extras Qt5Xdg)
+target_link_libraries(extedit Qt6::Widgets Qt6Xdg)

=== debian/changelog ===
screengrab (3.0.0-0ubuntu2) questing; urgency=medium

  * No-change rebuild for Qt 6.9.2 private ABI.

 -- Rik Mills <rikmills@kde.org>  Tue, 16 Sep 2025 19:00:30 +0100

screengrab (3.0.0-0ubuntu1) questing; urgency=medium

  * New upstream release.
    - Update build dependencies.
  * Update copyright file.
  * Update Standards-Version to 4.7.2, no changes needed.

 -- Aaron Rainbolt <arraybolt3@ubuntu.com>  Fri, 01 Aug 2025 12:01:59 -0500

screengrab (2.9.0-0ubuntu3) plucky; urgency=medium

  * Update Standards-Version to 4.7.1, no changes needed.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Fri, 21 Feb 2025 17:00:56 -0600

screengrab (2.9.0-0ubuntu2) plucky; urgency=medium

  * No-change rebuild for lxqt-build-tools C++17 -> C++20.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Fri, 03 Jan 2025 04:02:58 -0600

screengrab (2.9.0-0ubuntu1) plucky; urgency=medium

  * New upstream release.
    - Bump build dependencies.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Fri, 15 Nov 2024 15:33:53 -0600

screengrab (2.8.0-0ubuntu1) oracular; urgency=medium

  * New upstream release.
  * Update copyright file.
  * Bump Standards-Version to 4.7.0, no changes necessary.
  * Adjust dependencies.

 -- Aaron Rainbolt <arraybolt3@ubuntu.com>  Thu, 15 Aug 2024 16:50:01 -0500

screengrab (2.7.0-0ubuntu1) noble; urgency=medium

  * New upstream release.
  * Bump/clean up build dependencies, and run the wrap-and-sort hammer on
    d/control.
  * Lubuntuify.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sun, 12 Nov 2023 17:32:56 -0600

=== debian/control ===
Source: screengrab
Maintainer: Lubuntu Developers <lubuntu-devel@lists.ubuntu.com>
Original-Maintainer: LXQt Packaging Team <team+lxqt@tracker.debian.org>
Uploaders: Alf Gaida <agaida@siduction.org>,
           ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
           Andrew Lee (李健秋) <ajqlee@debian.org>
Section: graphics
Priority: optional
Build-Depends: debhelper-compat (= 13),
               libkf6windowsystem-dev (>= 6.0.0),
               libqt6xdg-dev (>= 4.2.0),
               libx11-xcb-dev,
               libxcb-xfixes0-dev [!kfreebsd-any],
               lxqt-build-tools (>= 2.2.0),
               layer-shell-qt (>= 6.0.0),
               liblayershellqtinterface-dev (>= 6.0.0),
               qt6-wayland-dev (>= 6.6.0),
               qt6-base-private-dev (>= 6.6.0),
               qt6-wayland-private-dev (>= 6.6.0)
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/lxqt-team/screengrab
Vcs-Git: https://salsa.debian.org/lxqt-team/screengrab.git
Homepage: https://github.com/lxqt/screengrab
Rules-Requires-Root: no

Package: screengrab
Architecture: any
Depends: doc-base, ${misc:Depends}, ${shlibs:Depends}
Description: Crossplatform tool for getting screenshots
 Screengrab working in Linux and Windows. The program uses Qt and is
 independent of any desktop environment.
 Main features:
  * Get desktop screenshots
  * Get active window screenshots
  * Get secreenshots of desktop selection area
  * Copy screenshot to clipboard
  * Saving your image files in formats PNG or JPEG or BMP
  * Ability to set delay in getting screenshots (from 1 to 90 seconds)

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export LC_ALL=C.UTF-8

%:
	dh ${@} --buildsystem=cmake

override_dh_auto_configure:
	dh_auto_configure -- \
	    -DSG_DBUS_NOTIFY=ON \
	    -DSG_EXT_EDIT=ON \
	    -DSG_GLOBALSHORTCUTS=OFF \
	    -DUPDATE_TRANSLATIONS=OFF \
	    -DCMAKE_BUILD_TYPE=RelWithDebInfo

## screengrab 3.1.0

=== debian/changelog ===
screengrab (3.1.0-0ubuntu1) resolute; urgency=medium

  * New upstream release.
    - Update build dependencies.
    - Remove doc-base dependency and configuration, as HTML documentation has
      been removed upstream.
  * Update copyright file.
  * Update Standards-Version to 4.7.3, no changes needed.
  * Remove unnecessary Rules-Requires-Root.
  * Removed kfreebsd-any reference from control file to make Lintian happy.

 -- Aaron Rainbolt <arraybolt3@ubuntu.com>  Fri, 20 Feb 2026 11:10:52 -0500

=== debian/control ===
--- 
+++ 
@@ -8,24 +8,23 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                libkf6windowsystem-dev (>= 6.0.0),
-               libqt6xdg-dev (>= 4.2.0),
+               libqt6xdg-dev (>= 4.3.0),
                libx11-xcb-dev,
-               libxcb-xfixes0-dev [!kfreebsd-any],
-               lxqt-build-tools (>= 2.2.0),
+               libxcb-xfixes0-dev,
+               lxqt-build-tools (>= 2.3.0),
                layer-shell-qt (>= 6.0.0),
                liblayershellqtinterface-dev (>= 6.0.0),
                qt6-wayland-dev (>= 6.6.0),
                qt6-base-private-dev (>= 6.6.0),
                qt6-wayland-private-dev (>= 6.6.0)
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/lxqt-team/screengrab
 Vcs-Git: https://salsa.debian.org/lxqt-team/screengrab.git
 Homepage: https://github.com/lxqt/screengrab
-Rules-Requires-Root: no
 
 Package: screengrab
 Architecture: any
-Depends: doc-base, ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: Crossplatform tool for getting screenshots
  Screengrab working in Linux and Windows. The program uses Qt and is
  independent of any desktop environment.
